Name:      scim
Version:   1.3.3
Release:   3%{?dist}
Summary:   Smart Common Input Method platform

License:   LGPL
Group:	   System Environment/Libraries
URL:       http://www.scim-im.org/
Source0:   http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
Source1:   xinput-scim
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

PreReq:    %{_bindir}/update-gtk-immodules
BuildRequires: gtk2-devel, desktop-file-utils
Patch1:    scim-1.3.3-version-script.patch

%description
SCIM is a user friendly and full featured input method user interface and
also a development platform to make life easier for Input Method developers.


%package devel
Summary:    Smart Common Input Method platform
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   gtk2-devel

%description devel
The scim-devel package includes the static libraries and header files
for the scim package.
Install scim-devel if you want to develop programs which will use
scim.


%prep
%setup -q
%patch1 -p0 -b -1.3.3

%build
%configure --disable-static --disable-ld-version-script
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/{Config,FrontEnd,IMEngine,SetupUI,Helper}

# remove .la files
find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

# install setup panel
desktop-file-install \
  --delete-original                                     \
  --vendor fedora                                       \
  --dir ${RPM_BUILD_ROOT}/%{_datadir}/applications      \
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/scim-setup.desktop

# remove capplet
rm ${RPM_BUILD_ROOT}/%{_datadir}/control-center-2.0/capplets/scim-setup.desktop

# install user manual
mkdir -p docs/dist/manual/zh_CN/figures/
cp -a docs/manual/zh_CN/user-manual.{html,xml} docs/dist/manual/zh_CN/
cp -a docs/manual/zh_CN/figures/*.png docs/dist/manual/zh_CN/figures/

# install xinput config file.
mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d
install -pm 644 %{SOURCE1} \
  ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d/scim


%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig

for llcc in ja_JP ko_KR zh_CN zh_TW
do
	%{_sbindir}/alternatives --install \
	  %{_sysconfdir}/X11/xinit/xinput.d/$llcc xinput-$llcc \
	  %{_sysconfdir}/X11/xinit/xinput.d/scim 85
done

%{_bindir}/update-gtk-immodules %{_target_platform}


%postun
/sbin/ldconfig

if [ "$1" = "0" ]
then
   for llcc in ja_JP ko_KR zh_CN zh_TW
	do
		%{_sbindir}/alternatives --remove \
                  xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/scim
		if [ `readlink %{_sysconfdir}/alternatives/xinput-$llcc` = "%{_sysconfdir}/X11/xinit/xinput.d/scim" ]
		then
			%{_sbindir}/alternatives --auto xinput-$llcc
		fi
	done
fi

%{_bindir}/update-gtk-immodules %{_target_platform}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog TODO
%doc docs/dist/manual/zh_CN
%dir %{_sysconfdir}/scim
%config(noreplace) %{_sysconfdir}/scim/*
%{_sysconfdir}/X11/xinit/xinput.d/scim
%{_bindir}/*
%{_libdir}/libscim*.so.*
%{_libdir}/scim-1.0
%{_libdir}/gtk-2.0/immodules
%{_datadir}/scim
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-scim-setup.desktop

%files devel
%defattr(-,root,root,-)
%doc docs/html
%doc docs/developers
%{_includedir}/scim-1.0
%{_libdir}/libscim*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jul  8 2005 Jens Petersen <petersen@redhat.com> - 1.3.3-2
- 1.3.3
  - add scim-1.3.3-version-script.patch

* Tue Jul  5 2005 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2 test release
- don't set xinput.d script executable
- no need to set XMODIFIERS explicitly and QT_IM_MODULE in xinput.d script

* Mon Jun 20 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.3-2
- Remove one of doubled capplets for setup.

* Sat May 28 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.3-1
- Update packaging for Fedora Extras

* Fri Mar 13 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.2-9
- Initial packaging for Fedora Extras
- cleanup and fixes (Konstantin Ryabitsev, Jens Petersen)

* Sun Jan 9 2005 James Su <suzhe@tsinghua.org.cn>
- Remove GConf Config module.

* Wed Jan 5 2005 James Su <suzhe@tsinghua.org.cn>
- Remove table IMEngine.

* Fri Aug 6 2004 James Su <suzhe@tsinghua.org.cn>
- Move scim-launcher and scim-panel-gtk to /usr/lib/scim-1.0.

* Sun Jun 20 2004  James Su <suzhe@tsinghua.org.cn>
- Merge all things into one package.

* Sat Jun 19 2004  James Su <suzhe@tsinghua.org.cn>
- Added /usr/libexec/scim-launcher.
- Remove setup module for SocketFrontEnd and SocketIMEngine.
